JUCE: TabbedButtonBar::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TabbedButtonBar::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » layout

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality. More...

`#include <juce_TabbedButtonBar.h>`

Inheritance diagram for TabbedButtonBar::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual int | getTabButtonSpaceAroundImage ()=0
virtual int | getTabButtonOverlap (int tabDepth)=0
virtual int | getTabButtonBestWidth (TabBarButton &, int tabDepth)=0
virtual Rectangle< int > | getTabButtonExtraComponentBounds (const TabBarButton &, Rectangle< int > &textArea, Component &extraComp)=0
virtual void | drawTabButton (TabBarButton &, Graphics &, bool isMouseOver, bool isMouseDown)=0
virtual Font | getTabButtonFont (TabBarButton &, float height)=0
virtual void | drawTabButtonText (TabBarButton &, Graphics &, bool isMouseOver, bool isMouseDown)=0
virtual void | drawTabbedButtonBarBackground (TabbedButtonBar &, Graphics &)=0
virtual void | drawTabAreaBehindFrontButton (TabbedButtonBar &, Graphics &, int w, int h)=0
virtual void | createTabButtonShape (TabBarButton &, Path &path, bool isMouseOver, bool isMouseDown)=0
virtual void | fillTabButtonShape (TabBarButton &, Graphics &, const Path &path, bool isMouseOver, bool isMouseDown)=0
virtual Button * | createTabBarExtrasButton ()=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual TabbedButtonBar::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ getTabButtonSpaceAroundImage()

virtual int TabbedButtonBar::LookAndFeelMethods::getTabButtonSpaceAroundImage | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ getTabButtonOverlap()

virtual int TabbedButtonBar::LookAndFeelMethods::getTabButtonOverlap | ( | int | tabDepth | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ getTabButtonBestWidth()

virtual int TabbedButtonBar::LookAndFeelMethods::getTabButtonBestWidth | ( | TabBarButton & | ,
|  | int | tabDepth
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getTabButtonExtraComponentBounds()

virtual Rectangle< int > TabbedButtonBar::LookAndFeelMethods::getTabButtonExtraComponentBounds | ( | const TabBarButton & | ,
|  | Rectangle< int > & | textArea,
|  | Component & | extraComp
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawTabButton()

virtual void TabbedButtonBar::LookAndFeelMethods::drawTabButton | ( | TabBarButton & | ,
|  | Graphics & | ,
|  | bool | isMouseOver,
|  | bool | isMouseDown
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ getTabButtonFont()

virtual Font TabbedButtonBar::LookAndFeelMethods::getTabButtonFont | ( | TabBarButton & | ,
|  | float | height
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawTabButtonText()

virtual void TabbedButtonBar::LookAndFeelMethods::drawTabButtonText | ( | TabBarButton & | ,
|  | Graphics & | ,
|  | bool | isMouseOver,
|  | bool | isMouseDown
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawTabbedButtonBarBackground()

virtual void TabbedButtonBar::LookAndFeelMethods::drawTabbedButtonBarBackground | ( | TabbedButtonBar & | ,
|  | Graphics & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawTabAreaBehindFrontButton()

virtual void TabbedButtonBar::LookAndFeelMethods::drawTabAreaBehindFrontButton | ( | TabbedButtonBar & | ,
|  | Graphics & | ,
|  | int | w,
|  | int | h
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ createTabButtonShape()

virtual void TabbedButtonBar::LookAndFeelMethods::createTabButtonShape | ( | TabBarButton & | ,
|  | Path & | path,
|  | bool | isMouseOver,
|  | bool | isMouseDown
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ fillTabButtonShape()

virtual void TabbedButtonBar::LookAndFeelMethods::fillTabButtonShape | ( | TabBarButton & | ,
|  | Graphics & | ,
|  | const Path & | path,
|  | bool | isMouseOver,
|  | bool | isMouseDown
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ createTabBarExtrasButton()

virtual Button * TabbedButtonBar::LookAndFeelMethods::createTabBarExtrasButton | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_TabbedButtonBar.h